| Home | Libraries | People | FAQ | More

## Function template erase_all

boost::algorithm::erase_all — Erase all algorithm.

## Synopsis

    template<typename SequenceT, typename RangeT>
      void erase_all(SequenceT & Input, const RangeT & Search);

## Description

Remove all the occurrences of the string from the input. The input sequence is modified in-place.

Parameters

Input

  An input string

Search

  A substring to be searched for.

| Copyright © 2002-2004 Pavol Droba